# mongoc_uri_get_auth_mechanism()

## Synopsis

    const char *
    mongoc_uri_get_auth_mechanism (const mongoc_uri_t *uri);

## Parameters

- `uri`: A mongoc_uri_t.

## Description

Fetches the `authMechanism` parameter to an URI if provided.

## Returns

A string which should not be modified or freed. Returns `NULL` if the `authMechanism` parameter was not provided to `uri`.

See also

Authentication
mongoc_uri_get_auth_mechanism()
mongoc_uri_get_auth_source()
mongoc_uri_get_mechanism_properties()
mongoc_uri_set_auth_mechanism()
mongoc_uri_set_auth_source()
mongoc_uri_set_mechanism_properties()